Subject: bug#41664: du give file not accessible

From: Sumit Gupta <[email-masked]>
Date: Tue, 2 Jun 2020 15:12:08 +0530

Hey Team,

I have encountered this issue that while running the du command I get the
error like "file not present".

This generally happens because the du command and deletion operation are
working in parallel, meaning when the du operation is triggered at that the
file is present but during the operation the file is deleted so, at the
time of output when the command actually tries to access the file to run
the operation, it fails to locate the file.

Is this expected or shall the command be modified to ignore such files?

Thanks,
Sumit